aboutsummaryrefslogtreecommitdiff
path: root/Config.in.legacy
diff options
context:
space:
mode:
authorGravatar Thomas De Schampheleire <patrickdepinguin@gmail.com>2014-06-13 21:21:45 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-06-13 22:27:39 +0200
commitdfae6f6765a6e596cde9f40de73b0c1979269174 (patch)
treeb76102d2f1cf33a29f3a9af310709ac619f77bf3 /Config.in.legacy
parentf86ec0b67f147d23928091f27529c5fd47ef5f02 (diff)
downloadbuildroot-dfae6f6765a6e596cde9f40de73b0c1979269174.tar.gz
buildroot-dfae6f6765a6e596cde9f40de73b0c1979269174.tar.bz2
kernel headers: remove deprecated version 3.8
Kernel headers version 3.8.x has been deprecated since 2013.08 and thus can be removed in 2014.08. An automatic selection of 3.9.x headers is performed in the legacy menu. Existing automatic selections of 3.8.x headers are modified to select 3.9.x. As this patch removes the last occurrence of BR2_DEPRECATED_SINCE_2013_08, the symbol is removed too. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Acked-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'Config.in.legacy')
-rw-r--r--Config.in.legacy16
1 files changed, 13 insertions, 3 deletions
diff --git a/Config.in.legacy b/Config.in.legacy
index c6bb2fe342..a2c7846bdc 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -101,6 +101,16 @@ endif
###############################################################################
comment "Legacy options removed in 2014.08"
+config BR2_KERNEL_HEADERS_3_8
+ bool "kernel headers version 3.8.x are no longer supported"
+ select BR2_KERNEL_HEADERS_3_9
+ select BR2_LEGACY
+ help
+ Version 3.8.x of the Linux kernel headers have been deprecated
+ for more than four buildroot releases and are now removed.
+ As an alternative, version 3.9.x of the headers have been
+ automatically selected in your configuration.
+
config BR2_PACKAGE_GETTEXT_TOOLS
bool "support for gettext-tools on target has been removed"
select BR2_LEGACY
@@ -131,7 +141,7 @@ config BR2_PACKAGE_EVTEST_CAPTURE
config BR2_KERNEL_HEADERS_3_6
bool "kernel headers version 3.6.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_8
+ select BR2_KERNEL_HEADERS_3_9
select BR2_LEGACY
help
Version 3.6.x of the Linux kernel headers have been deprecated
@@ -141,7 +151,7 @@ config BR2_KERNEL_HEADERS_3_6
config BR2_KERNEL_HEADERS_3_7
bool "kernel headers version 3.7.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_8
+ select BR2_KERNEL_HEADERS_3_9
select BR2_LEGACY
help
Version 3.7.x of the Linux kernel headers have been deprecated
@@ -326,7 +336,7 @@ config BR2_KERNEL_HEADERS_3_3
config BR2_KERNEL_HEADERS_3_5
bool "kernel headers version 3.5.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_8
+ select BR2_KERNEL_HEADERS_3_9
select BR2_LEGACY
help
Version 3.5.x of the Linux kernel headers have been deprecated